[arch-commits] Commit in libssh/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Antonio Rojas arojas at archlinux.org
Thu Aug 30 08:42:24 UTC 2018


    Date: Thursday, August 30, 2018 @ 08:42:24
  Author: arojas
Revision: 333110

archrelease: copy trunk to extra-x86_64

Added:
  libssh/repos/extra-x86_64/PKGBUILD
    (from rev 333109, libssh/trunk/PKGBUILD)
Deleted:
  libssh/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  122 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 61 insertions(+), 61 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-08-30 08:41:58 UTC (rev 333109)
+++ PKGBUILD	2018-08-30 08:42:24 UTC (rev 333110)
@@ -1,61 +0,0 @@
-# $Id$
-# Maintainer: Antonio Rojas <arojas at archlinux.org>
-# Contributor: Tom Gundersen <teg at jklm.no>
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: ice-man <icemanf at gmail.com>
-# Contributor: sergeantspoon <sergeantspoon at archlinux.us>
-
-pkgbase=libssh
-pkgname=(libssh libssh-docs)
-pkgver=0.8.1
-pkgrel=2
-pkgdesc="Library for accessing ssh client services through C libraries"
-url="http://www.libssh.org/"
-license=(LGPL)
-arch=(x86_64)
-depends=(libgcrypt zlib)
-makedepends=(cmake cmocka doxygen python)
-source=(https://www.libssh.org/files/${pkgver%.*}/$pkgname-$pkgver.tar.xz{,.asc})
-sha256sums=('d17f1267b4a5e46c0fbe66d39a3e702b8cefe788928f2eb6e339a18bb00b1924'
-            'SKIP')
-validpgpkeys=('8DFF53E18F2ABC8D8F3C92237EE0FC4DCC014E3D') # Andreas Schneider <asn at cryptomilk.org>
-
-prepare() {
-  # disable the test. It is confused by our clean container setup.
-  # 'extra-x86-build' uses user 'nobody' that has a record in /etc/passwd file
-  # but $HOME envvar is set to '/build'. The test expects that $HOME corresponds to passwd file.
-  sed 's/cmocka_unit_test(torture_path_expand_tilde_unix),//' -i libssh-${pkgver}/tests/unittests/torture_misc.c
-
-  mkdir -p build
-}
-
-build() {
-  cd build
-  cmake ../$pkgname-$pkgver \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DWITH_GSSAPI=OFF \
-    -DWITH_GCRYPT=ON \
-    -DUNIT_TESTING=ON
-  make
-  make doc
-}
-
-check() {
-  cd build
-  make test || true # One test failure with libgcrypt
-}
-
-package_libssh() {
-  cd build
-  make DESTDIR="$pkgdir" install
-}
-
-package_libssh-docs() {
-  pkgdesc="Documentation for libssh"
-  depends=()
-
-  mkdir -p "$pkgdir"/usr/share/doc/libssh
-  cp -r build/doc/html "$pkgdir"/usr/share/doc/libssh
-  cp -r build/doc/man "$pkgdir"/usr/share
-  rm "$pkgdir"/usr/share/man/man3/{bug,deprecated}.*
-}

Copied: libssh/repos/extra-x86_64/PKGBUILD (from rev 333109, libssh/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-08-30 08:42:24 UTC (rev 333110)
@@ -0,0 +1,61 @@
+# $Id$
+# Maintainer: Antonio Rojas <arojas at archlinux.org>
+# Contributor: Tom Gundersen <teg at jklm.no>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: ice-man <icemanf at gmail.com>
+# Contributor: sergeantspoon <sergeantspoon at archlinux.us>
+
+pkgbase=libssh
+pkgname=(libssh libssh-docs)
+pkgver=0.8.2
+pkgrel=1
+pkgdesc="Library for accessing ssh client services through C libraries"
+url="http://www.libssh.org/"
+license=(LGPL)
+arch=(x86_64)
+depends=(libgcrypt zlib)
+makedepends=(cmake cmocka doxygen python)
+source=(https://www.libssh.org/files/${pkgver%.*}/$pkgname-$pkgver.tar.xz{,.asc})
+sha256sums=('8d1290f0fac4f8a75a9001dd404a8a093daba4e86c90c45ecf77d62f14c7b8a5'
+            'SKIP')
+validpgpkeys=('8DFF53E18F2ABC8D8F3C92237EE0FC4DCC014E3D') # Andreas Schneider <asn at cryptomilk.org>
+
+prepare() {
+  # disable the test. It is confused by our clean container setup.
+  # 'extra-x86-build' uses user 'nobody' that has a record in /etc/passwd file
+  # but $HOME envvar is set to '/build'. The test expects that $HOME corresponds to passwd file.
+  sed 's/cmocka_unit_test(torture_path_expand_tilde_unix),//' -i libssh-${pkgver}/tests/unittests/torture_misc.c
+
+  mkdir -p build
+}
+
+build() {
+  cd build
+  cmake ../$pkgname-$pkgver \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DWITH_GSSAPI=OFF \
+    -DWITH_GCRYPT=ON \
+    -DUNIT_TESTING=ON
+  make
+  make docs
+}
+
+check() {
+  cd build
+  make test || true # One test failure with libgcrypt
+}
+
+package_libssh() {
+  cd build
+  make DESTDIR="$pkgdir" install
+}
+
+package_libssh-docs() {
+  pkgdesc="Documentation for libssh"
+  depends=()
+
+  mkdir -p "$pkgdir"/usr/share/doc/libssh
+  cp -r build/doc/html "$pkgdir"/usr/share/doc/libssh
+#  cp -r build/doc/man "$pkgdir"/usr/share
+#  rm "$pkgdir"/usr/share/man/man3/{bug,deprecated}.*
+}



More information about the arch-commits mailing list